//
// Foyer.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation


open class Foyer: JSONEncodable {
    public var id: String?
    public var identifiantUnique: String?
    public var nom: String?
    public var numeroTelephone: String?
    public var dateCreated: Date?
    public var lastUpdated: Date?
    public var immeuble: Immeuble?
    public var uuid: [String]?
    public var abonnementQuartier: [Quartier]?
    public var utilisateurs: [Utilisateur]?

    public init() {}

    // MARK: JSONEncodable
    open func encodeToJSON() -> Any {
        var nillableDictionary = [String:Any?]()
        nillableDictionary["id"] = self.id
        nillableDictionary["identifiantUnique"] = self.identifiantUnique
        nillableDictionary["nom"] = self.nom
        nillableDictionary["numeroTelephone"] = self.numeroTelephone
        nillableDictionary["dateCreated"] = self.dateCreated?.encodeToJSON()
        nillableDictionary["lastUpdated"] = self.lastUpdated?.encodeToJSON()
        nillableDictionary["immeuble"] = self.immeuble?.encodeToJSON()
        nillableDictionary["uuid"] = self.uuid?.encodeToJSON()
        nillableDictionary["abonnementQuartier"] = self.abonnementQuartier?.encodeToJSON()
        nillableDictionary["utilisateurs"] = self.utilisateurs?.encodeToJSON()
        let dictionary: [String:Any] = APIHelper.rejectNil(nillableDictionary) ?? [:]
        return dictionary
    }
}
